var Tabs = function(userModel)
{
    this._userModel = userModel
    
    this._init()
}

Tabs.prototype =
{
    _init : function()
    {
        if (this._userModel == undefined) {
            var message = "UserModel undefined"
            alert (message)
            throw new Error(message)
        } 

        this._initEvents()
        this._initStartView()
        this._initTabPhoneBookGlobal()
        getApp().log("Tabs started")
    },

    _initStartView : function()
    {
        getApp().renderView(
            "configuration",
            this._userModel,
            "div#tabsContent")
    },

    _initTabPhoneBookGlobal : function()
    {
        if (this._userModel.getUser().phoneBookGlobal_id == 0)
        {
            $("#phone_book_global_tab").show()
        }
    },

    _initEvents : function()
    {
        var self = this;
        $("div#tabs li a").click(function(){
            self.actionTabClick(this)
        })
    },

    _initEventSwitchHistory : function()
    {
        var self = this;
        $("a.month-history").click(function(){
            self.actionTabClick(this)
        })
    },

    actionTabClick : function(object)
    {
        var bSelectTab = false;

        var href = $(object).attr("href").substr(1)
        getApp().log(href)

        switch (href) {
                case 'help':
                    this._loadViewHelp(href)
                    bSelectTab = true;
                    break
                case 'configuration':
                    this._loadViewConfiguration(href)
                    bSelectTab = true;
                    break
                case 'history':
                    this._loadViewCurrHistory(href)
                    bSelectTab = true;
                    break
                case 'history/curr':
                    this._loadViewCurrHistory(href)
                    break
                case 'history/prev':
                    this._loadViewPrevHistory(href)
                    break;
                case 'phone_book_global':
                    getApp().renderViewPhoneBookGlobal();
                    bSelectTab = true;
                    break;
                default:
                    break;
            }

       if (bSelectTab) {
           $("div#tabs li").removeClass("selected")
            var li = $(object).parent().get(0);
            $(li).addClass("selected")
       }

    },

    _loadFile : function(href)
    {
        getApp().renderView(href, this._userModel, "div#tabsContent")
    },

    _loadViewConfiguration : function(href)
    {
        getApp().renderViewConfiguration();
    },

    _loadViewCurrHistory : function(href)
    {
        getApp().renderViewCurrHistory()
        this._initEventSwitchHistory()
    },

    _loadViewPrevHistory : function(href)
    {
        getApp().renderViewPrevHistory()
        this._initEventSwitchHistory()
    },

    _loadViewHelp : function(href)
    {
        getApp().renderViewHelp();
    }

}